﻿/* S devices (phones, 576px and up) */
@media (min-width: 576px) {
    section.intro h1 {
        font-size: 2rem;
        line-height: 0.9em
    }

    .row {
        padding-left: inherit;
        padding-right: inherit;
    }

    .offcanvas.offcanvas-start, .offcanvas.offcanvas-end {
        /*margin-bottom: 50px;*/
    }

/*    nav#main img.bow {
        height: 100px;
    }
    nav#main img.logo {
        height: 75px;
    }*/
}

/* M devices (tablets, 768px and up) */
@media (min-width: 768px) {
    h1 {
        font-size: 2.5rem;
    }

    section.intro h1 {
        font-size: 3rem;
    }

    .row {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    .toast-container {
        z-index: 900;
        padding: 125px 15px 15px 15px;
    }

    section, section .row, footer {
        border-top-left-radius: 25px;
    }

    section .row:not([class*='heading']):not(.infobox), footer {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    section .infobox:first-child {
        padding-top: 50px;
    }

    section .infobox .separatedright {
        border-top: none;
        border-bottom: 3px solid;
    }

    section:not(.intro) ol.breadcrumb {
        justify-content: flex-end !important;
    }

    .bordertop {
        border-top: 8px solid var(--orange-main);
    }
    .borderright {
        border-right: 8px solid var(--orange-main);
    }
    .borderbottom {
        border-bottom: 8px solid var(--orange-main);
    }
    .borderleft {
        border-left: 8px solid var(--orange-main);
    }
    
    .formactions {
        text-align: right;
    }

    .formactions .button {
        width: auto;
        display: inline-block;
    }
}

/* L devices (small desktops, 992px and up) */
@media (min-width: 992px) {
    section.intro h1 {
        font-size: 4rem;
        line-height: 0.8em
    }

    section .infobox .separatedright {
        border-top: none;
        border-bottom: none;
    }

    .bordertop {
        border-top: 9px solid var(--orange-main);
    }
    .borderright {
        border-right: 9px solid var(--orange-main);
    }
    .borderbottom {
        border-bottom: 9px solid var(--orange-main);
    }
    .borderleft {
        border-left: 9px solid var(--orange-main);
    }
}

/* XL devices (desktops, 1200px and up) */
@media (min-width: 1200px) {
    body {
        font-size: 16px;
    }

    .large {
        font-size: 24px;
    }

    .small {
        font-size: 12px;
    }

    .col-sidebar {
        display: none;
    }

    .col-content {
        width: 100%;
    }

    h1 {
        font-size: 3.5rem;
    }

    section.intro h1 {
        font-size: 5rem;
    }

    h2 {
        font-size: 3rem;
    }

    h3 {
        font-size: 2rem;
    }

    h4 {
        font-size: 1.5rem;
    }

    h5, misc-heading {
        font-size: 1.25rem;
    }

    h1, h2 {
        letter-spacing: -4px;
    }

    h3 {
        letter-spacing: -2px;
    }

    h4, h5, misc-heading {
        letter-spacing: -1px;
    }

    section .infobox .separatedright {
        border-right: 3px solid;
        border-bottom: none;
    }

    .bordertop {
        border-top: 10px solid var(--orange-main);
    }
    .borderright {
        border-right: 10px solid var(--orange-main);
    }
    .borderbottom {
        border-bottom: 10px solid var(--orange-main);
    }
    .borderleft {
        border-left: 10px solid var(--orange-main);
    }
}

/* XXL devices (large desktops, 1400px and up) */
@media (min-width: 1400px) {
    .col-sidebar {
        width: 4%;
        display: block;
    }

    .col-content {
        width: 96%;
    }

    h1 {
        font-size: 3.5rem;
    }
    section.intro h1 {
        font-size: 4.5rem;
    }

    section.intro .actionbox {
        border-top-right-radius: 0px;
    }

    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1680px;
    }

    nav#main {
        height: 100px;
    }

    nav#main #menu .offcanvas-header, nav#main #menu .offcanvas-body {
        box-shadow: none;
        -webkit-box-shadow: none;
    }

    nav#main #menu .offcanvas-body {
        backdrop-filter: none;
        -webkit-backdrop-filter: none;
        background-color: transparent;
        border: none;
        padding: inherit;
    }

    nav#main #menu ul li a {
        width: inherit;
        margin-bottom: inherit;
        margin-left: 5px;
    }

    nav#main .dropdown-menu {
        padding-left: 25px;
        padding-right: 25px;
        min-width: 25vw;
    }

    nav#main .dropdown-menu .dropdown-menu {
        margin-left: 15px;
        min-width: 0px;
    }
}

/* XXXL devices (larger desktops, 1680px and up) */
@media (min-width: 1680px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        /*max-width: 1920px;*/
    }

    section.intro h1 {
        font-size: 6rem;
    }

    nav a.button, footer {
        font-size: 17px;
    }

    nav#main .nav-link {
        height: 35px;
    }
}
